package com.fdage;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;

@SpringBootApplication(scanBasePackages = "com.fdage.*")
@MapperScan({"com.fdage.dao.*"})
public class ZhoushanSystemApiApplication extends SpringBootServletInitializer {

	@Override
	protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
		return application.sources(ZhoushanSystemApiApplication.class);
	}

	public static void main(String[] args) {
		SpringApplication.run(ZhoushanSystemApiApplication.class, args);
	}

}
